E-MailRelay

Classes | Public Types | Public Member Functions | Static Public Member Functions | List of all members
GNet::FutureEventImp Class Reference

A pimple-pattern implementation class used by GNet::FutureEvent. More...

Inheritance diagram for GNet::FutureEventImp:

## Public Types
using | handle_type = FutureEvent::handle_type
Public Types inherited from GNet::EventHandler
enum class | Reason { closed , down , reset , abort , other }

## Public Member Functions
| FutureEventImp (FutureEventHandler &, ExceptionSink)
void | receive ()
handle_type | handle () noexcept
| FutureEventImp (const FutureEventImp &)=delete
| FutureEventImp (FutureEventImp &&)=delete
void | operator= (const FutureEventImp &)=delete
void | operator= (FutureEventImp &&)=delete
Public Member Functions inherited from GNet::EventHandler
virtual | ~EventHandler ()=default
| Destructor.
virtual void | readEvent ()
| Called for a read event. More...
virtual void | writeEvent ()
| Called for a write event. More...
virtual void | otherEvent (Reason)
| Called for a socket-exception event, or a socket-close event on windows. More...

## Static Public Member Functions
static bool | send (handle_type, bool) noexcept
Static Public Member Functions inherited from GNet::EventHandler
static std::string | str (Reason)
| Returns a printable description of the other-event reason. More...

## Detailed Description

A pimple-pattern implementation class used by GNet::FutureEvent.

Definition at line 33 of file gfutureevent_unix.cpp.

## Member Typedef Documentation

## ◆ handle_type

using GNet::FutureEventImp::handle_type = FutureEvent::handle_type

Definition at line 36 of file gfutureevent_unix.cpp.

## Constructor & Destructor Documentation

## ◆ FutureEventImp()

GNet::FutureEventImp::FutureEventImp | ( | FutureEventHandler & | handler,
|  | ExceptionSink | es
| ) |  |

Definition at line 85 of file gfutureevent_unix.cpp.

## ◆ ~FutureEventImp()

GNet::FutureEventImp::~FutureEventImp | ( |  | ) |
| override

Definition at line 104 of file gfutureevent_unix.cpp.

## Member Function Documentation

## ◆ handle()

GNet::FutureEventImp::handle_type GNet::FutureEventImp::handle | ( |  | ) |
| noexcept

Definition at line 113 of file gfutureevent_unix.cpp.

## ◆ receive()

void GNet::FutureEventImp::receive | ( |  | ) |

Definition at line 120 of file gfutureevent_unix.cpp.

## ◆ send()

bool GNet::FutureEventImp::send | ( | handle_type | handle,
|  | bool | close
| ) |  |
| static noexcept

Definition at line 126 of file gfutureevent_unix.cpp.

The documentation for this class was generated from the following file:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gnet/gfutureevent_unix.cpp